Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class Realm

    java.lang.Object
      weblogic.security.acl.Realm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

    public final class Realm

extends Object

The Realm class is used for its name space only. It combines functions to find and create realm implementations. This will be superceded by JNDI.

Constructor Summary
`Realm()` Deprecated.

Method Summary
`static User` | `authenticate(UserInfo userInfo)` Deprecated. Authenticates the user, based on a UserInfo structure.
`static boolean` | `checkPermission(Principal principal, String realmName, String aclName, String permissionName)` Deprecated. Checks whether a Principal has a named Acl in some realm that grants the named permission.
`static boolean` | `checkPermission(Principal principal, String realmName, String aclName, String permissionName, char sep)` Deprecated. Checks whether a Principal has a named Acl in some realm that grants the named permission.
`static boolean` | `checkPermission(String subsystem, Principal principal, String realmName, String aclName, String permissionName)` Deprecated.
`static boolean` | `checkPermission(String subsystem, Principal principal, String realmName, String aclName, String permissionName, char sep)` Deprecated.
`static String` | `getAuthenticatedName(UserInfo userInfo)` Deprecated. Authenticates the user, based on a UserInfo structure.
`static weblogic.common.internal.LogOutputStream` | `getLog()` Deprecated.
`static BasicRealm` | `getRealm(String name)` Deprecated. Gets a realm of that name, possibly creating a default one with no credentials as a side effect.
`static BasicRealm` | `getRealm(String name, Object credential)` Deprecated. Gets a realm of that name, possibly creating a default one with the passed credential as a side effect.
`static BasicRealm` | `getRealm(String name, Object credential, String className)` Deprecated. Gets a realm of the specified name.
`static BasicRealm` | `getRealm(String name, Object credential, String className, Properties props)` Deprecated. Gets a realm of the specified name, credential, and implementation class name if it exists, and creates one if it does not, using the specified implementation class name and credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Realm

    public Realm()

  Deprecated.

Method Detail

### getRealm

    public static BasicRealm getRealm(String name)

  Deprecated.
  Gets a realm of that name, possibly creating a default one with no credentials as a side effect.

  Parameters:
    `name` - Name of realm to retrieve
  Returns:
    Realm

### getRealm

    public static BasicRealm getRealm(String name,
                                      Object credential)

  Deprecated.
  Gets a realm of that name, possibly creating a default one with the passed credential as a side effect.

  Parameters:
    `name` - Name of realm to retrieve
    `credential` - Credential of realm
  Returns:
    Realm

### getRealm

    public static BasicRealm getRealm(String name,
                                      Object credential,
                                      String className)

  Deprecated.
  Gets a realm of the specified name. If a realm by that name doesn't exist, creates a default realm with the passed credential.

  Parameters:
    `name` - Name of realm to retrieve
    `credential` - Credential of realm
    `className` - Name of the implementation
  Returns:
    Realm

### getRealm

    public static BasicRealm getRealm(String name,
                                      Object credential,
                                      String className,
                                      Properties props)

  Deprecated.
  Gets a realm of the specified name, credential, and implementation class name if it exists, and creates one if it does not, using the specified implementation class name and credential.

  Parameters:
    `name` - Name of realm
    `credential` - Credential of realm
    `className` - Name of implementation
    `props` - Properties to be passed to the realm
  Returns:
    Realm

### checkPermission

    public static boolean checkPermission(Principal principal,
                                          String realmName,
                                          String aclName,
                                          String permissionName)

  Deprecated.
  Checks whether a Principal has a named Acl in some realm that grants the named permission. This is a low performance convenience function.

  Parameters:
    `principal` - Principal (AclOwner)
    `realmName` - Realm to check Principal's permission
    `aclName` - Access control list of Principal
    `permissionName` - Permission to be checked
  Returns:
    true if Principal has permission in the realm

### checkPermission

    public static boolean checkPermission(String subsystem,
                                          Principal principal,
                                          String realmName,
                                          String aclName,
                                          String permissionName)

  Deprecated.

### checkPermission

    public static boolean checkPermission(Principal principal,
                                          String realmName,
                                          String aclName,
                                          String permissionName,
                                          char sep)

  Deprecated.
  Checks whether a Principal has a named Acl in some realm that grants the named permission. This is a low performance convenience function.

  Parameters:
    `principal` - Principal (AclOwner)
    `realmName` - Realm to check Principal's permission
    `aclName` - Access control list of Principal
    `permissionName` - Permission to be checked
    `sep` - Character separator used in ACL
  Returns:
    true if Principal has permission in the realm

### checkPermission

    public static boolean checkPermission(String subsystem,
                                          Principal principal,
                                          String realmName,
                                          String aclName,
                                          String permissionName,
                                          char sep)

  Deprecated.

### getLog

    public static weblogic.common.internal.LogOutputStream getLog()

  Deprecated.

  See Also:
    `LogServicesDef`

### authenticate

    public static User authenticate(UserInfo userInfo)
                             throws SecurityException

  Deprecated.
  Authenticates the user, based on a UserInfo structure.

  Parameters:
    `userInfo` - UserInfo
  Returns:
    User object
  Throws:
    `SecurityException` - if the user cannot be authenticated

### getAuthenticatedName

    public static String getAuthenticatedName(UserInfo userInfo)
                                       throws SecurityException

  Deprecated.
  Authenticates the user, based on a UserInfo structure.

  Parameters:
    `userInfo` - UserInfo
  Returns:
    Name of authenticated user
  Throws:
    `SecurityException` - if the user cannot be authenticated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD